!set title=Cálculo de cij de la matriz producto 5x5
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=XIAO Gang
email=xiao@unice.fr
computeanswer=yes

ansorder=r,r
varcnt=20
prevarcnt=19
postvarcnt=0
replycnt=2
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=$[rint(5)]
val7=random
t_=!replace internal \( by ( in print(matrix($val6,$val6,x,y,if(x>y,tz,($val7(9)+1)*(2*$val7(2)-1))))
tmp0=!exec pari $t_

tmp=!trim $(tmp0)
val8=!translate internal $	\
$ to ;; in $tmp
t_=!replace internal \( by ( in print(matrix($val6,$val6,x,y,if(x<y,tz,($val7(9)+1)*(2*$val7(2)-1))))
tmp0=!exec pari $t_

tmp=!trim $(tmp0)
val9=!translate internal $	\
$ to ;; in $tmp
tmp0=!shuffle $val6

val10=$(tmp0)
tmp0=!shuffle $val6

val11=$(tmp0)
tmp0=!shuffle $val6

val12=$(tmp0)
tmp0=!shuffle $val6

val13=$(tmp0)
t_=!replace internal \( by ( in print(vecextract([$val8],[$val10],[$val11]))
tmp0=!exec pari $t_

tmp=!trim $(tmp0)
val8=!translate internal $	\
$ to ;; in $tmp
t_=!replace internal \( by ( in print(vecextract([$val9],[$val12],[$val13]))
tmp0=!exec pari $t_

tmp=!trim $(tmp0)
val9=!translate internal $	\
$ to ;; in $tmp
tmp0=!texmath [$val8]

val14=$(tmp0)
tmp0=!texmath [$val9]

val15=$(tmp0)
tmp0=!replace internal tz by ? in $val14

val14=$(tmp0)
tmp0=!replace internal tz by ? in $val15

val15=$(tmp0)
tmp0=!texmath [c11,c12,c13,c14,c15;c21,c22,c23,c24,c25;c31,c32,c33,c34,c35;c41,c42,c43,c44,c45;c51,c52,c53,c54,c55]

val16=$(tmp0)
tmp0=!positionof item 1 in $val10

val17=$(tmp0)
tmp0=!positionof item 1 in $val13

val18=$(tmp0)
val19=c$val17$val18
t_=!replace internal \( by ( in ([$val8]*[$val9])[$val17,$val18]
tmp0=!exec pari $t_

val20=$[rint($(tmp0))]
oefsteps=reply 1	reply 2 
nextstep=!nosubst reply 1	reply 2 
!readproc oef/steps.proc
replytype1=atext
replyname1=El elemento determinable
replygood1=$val19
replytype2=numeric
replyname2=c$val17$val18
replygood2=$[$val20]
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Tenemos el siguiente producto de matrices $val6&times;$val6	donde el signo de interrogación representa los elementos desconocidos.	<p><center>	 
!insmath $val14$val15 = $val16
$()	</center> <p>	 
!if $m_step=1 
$()	 Paso 1. Solo hay un elemento determinable en la matriz producto.	 Es  
!read oef/embed.phtml reply 1,4 
$(). <br>	 (Por ejemplo, <tt>c11</tt> para 
!insmath c11
$().)	 
!else
$() 	 Paso 2. El elemento determinable es 
!insmath c$val17$val18
$() =  
!read oef/embed.phtml reply 2,6 
$().	 
!endif
$()
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=6,14,15,16,17,18
embedcnt=2
